Updates AutoCertificate
Changes AutoCertificate with the provided ID. Values provides will replace the existing data.
The token can be generated using the Authentication API.
The ID (UUID) of the AutoCertificate.
f88467f8-a2d6-5871-83b9-e10f23d0a48aMetadata
AutoCertificate successfully updated.
The ID (UUID) of the AutoCertificate.
f88467f8-a2d6-5871-83b9-e10f23d0a48aThe type of the resource.
The URL of the AutoCertificate.
/auto-certificates/f88467f8-a2d6-5871-83b9-e10f23d0a48aBad Request
The request send to the API was malformed.
Unauthorized
The request is missing authorization information or the authorization information provided are expired.
Not Allowed
The user issuing the request does not have the needed permissions.
Not Found
The resource that was requested could not be found.
Conflict
The UUID is already taken by another party, follow the guides to generate UUIDs uniquely.
Unsupported Media Type
The request has an unsupported media type.
Unprocessable Entity
The request was well-formed but was unable to be followed due to semantic errors.
Too Many Requests
The user has sent too many requests in a given amount of time.
Internal Server Error
An internal error occurred. We apologize for the inconvenience!
Service Unavailable
The server is currently unable to handle the request due to a temporary overloading or maintenance of the server.
Unexpected Internal Server Error
An unexpected internal error occurred. We apologize for the inconvenience!
PATCH /auto-certificates/{autoCertificateId} HTTP/1.1
Host: certificate-manager.de-fra.ionos.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 47
{
"metadata": {},
"properties": {
"name": "My name"
}
}{
"id": "f88467f8-a2d6-5871-83b9-e10f23d0a48a",
"type": "autocertificate",
"href": "/auto-certificates/f88467f8-a2d6-5871-83b9-e10f23d0a48a",
"metadata": {
"createdDate": "2020-12-10T13:37:50+01:00",
"createdBy": "ionos:identity:::users/87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
"createdByUserId": "87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
"lastModifiedDate": "2020-12-11T13:37:50+01:00",
"lastModifiedBy": "ionos:identity:::users/87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
"lastModifiedByUserId": "87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
"resourceURN": "ionos:<product>:<location>:<contract>:<resource-path>",
"state": "AVAILABLE",
"message": "Issue in progress.",
"lastIssuedCertificate": "cbee81a3-9389-57ba-bc50-393adcfca141"
},
"properties": {
"provider": "b471cd03-ef51-52c5-91a5-49195b0a04d4",
"commonName": "www.example.com",
"keyAlgorithm": "rsa4096",
"name": "My Auto renewed certificate",
"subjectAlternativeNames": [
"app.example.com"
]
}
}Last updated
Was this helpful?